global:
  registry: docker.io
  repository: sunzhenyucn
  nodeSelector: {}
logIngest:
  enabled: true
  lokiEndpoint: http://loki-gateway.magicleaps-logging-system
  backendLogPathPattern: /app/log/*.log
  backendLogPath: /app/log
  frontendLogPathPattern: /app/logs/*.log
  frontendLogPath: /app/logs
frontend:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: magicleaps-frontend
    tag: 1.0.0
    imagePullPolicy: IfNotPresent
  ports:
  - name: http
    containerPort: 80
    protocol: TCP
  resources:
    requests:
      cpu: 50m
      memory: 128Mi
    limits:
      cpu: 100m
      memory: 256Mi
  probes:
    liveness:
      type: httpGet
      config:
        path: /
        port: 80
    readiness:
      type: httpGet
      config:
        path: /
        port: 80
  services:
  - name: magicleaps-frontend-service
    type: ClusterIP
    port: 80
    targetPort: 80
  ingresses:
  - name: magicleaps-frontend-ingress
    host: magicleaps.mathmast.com
    class: nginx
    rules:
    - path: /*
      pathType: ImplementationSpecific
      backend:
        service:
          name: magicleaps-frontend-service
          port:
            number: 80
    tls:
      exists: false
      issuerRef:
        name: mathmast-dot-com
        kind: ClusterIssuer
      name: magicleaps-frontend-ingress-tls
  configs:
    tz: America/Settle
backend:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: magicleaps-backend
    tag: 1.0.0
    imagePullPolicy: IfNotPresent
  securityContext:
    privileged: true
    runAsUser: 0
    runAsGroup: 0
    allowPrivilegeEscalation: true
    readOnlyRootFilesystem: false
  ports:
  - name: http
    containerPort: 8081
    protocol: TCP
  resources:
    requests:
      cpu: 100m
      memory: 256Mi
    limits:
      cpu: 200m
      memory: 512Mi
  probes:
    liveness:
      type: httpGet
      config:
        path: /api/_/probe/liveness
        port: 8081
    readiness:
      type: httpGet
      config:
        path: /api/_/probe/readiness
        port: 8081
  services:
  - name: magicleaps-backend-service
    type: ClusterIP
    port: 8081
    targetPort: 8081
  ingresses: null
  configs:
    tz: America/Settle
    mongodbHost: mongodb.magicleaps.svc.cluster.local
    mongodbPort: '27017'
    mongodbName: interview
    emailUser: your@freeleaps.com
    emailPassword: your-password
    superAdmin: your@email.com
    twilioAccountSid: ''
    twilioAuthToken: ''
    eveluationTaskFolderBase: temp/interview/eveluation_task/
    logDir: /app/log
    appLogFile: app.log
    appLogLevel: INFO
